LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 08-28-2016, 11:15 PM   #1
dgplinux
LQ Newbie
 
Registered: Aug 2016
Posts: 2

Rep: Reputation: Disabled
libspatialite build errors on linux


I am trying to build the libspatialite for Android.The source is from https://www.gaia-gis.it/fossil/libspatialite/index available through libspatialite-4.4.0-RC0.tar.gz.All dependencies like PROJ,GEOS,SQLite3 are installed successfully on linux.The build stops right after the command.


Quote:
./configure --build=x86_64-pc-linux-gnu --host=arm-linux-eabi
Errors

checking for sqlite3_prepare_v2 in -lsqlite3... no
configure: error: 'libsqlite3' is required but it doesn't seem to be installed on this system
However, I can see the libsqlite3 in libs directory.

[root@euro libspatialite-4.4.0-RC1]# locate libsqlite3
/home/gis/Desktop/Softwares/FWTools-linux-x86_64-3.0.6/usr/lib64/libsqlite3.so.0
/home/gis/Desktop/Softwares/FWTools-linux-x86_64-3.0.6/usr/lib64/libsqlite3.so.0.8.6
/home/gis/spatialdb/libspatialite-4.4.0-RC1/libsqlite3.la
/home/gis/spatialdb/sqlite-autoconf-3140000/libsqlite3.la
/home/gis/spatialdb/sqlite-autoconf-3140000/.libs/libsqlite3.a
/home/gis/spatialdb/sqlite-autoconf-3140000/.libs/libsqlite3.la
/home/gis/spatialdb/sqlite-autoconf-3140000/.libs/libsqlite3.lai
/usr/lib/libsqlite3.a
/usr/lib/libsqlite3.la
/usr/lib/libsqlite3.so.0
/usr/lib/libsqlite3.so.0.8.6
/usr/lib64/libsqlite3.so
/usr/lib64/libsqlite3.so.0
/usr/lib64/libsqlite3.so.0.8.6
/usr/local/lib/libsqlite3.a
/usr/local/lib/libsqlite3.la
[root@euro libspatialite-4.4.0-RC1]#
 
Old 08-29-2016, 08:17 AM   #2
TB0ne
LQ Guru
 
Registered: Jul 2003
Location: Birmingham, Alabama
Distribution: SuSE, RedHat, Slack,CentOS
Posts: 24,168

Rep: Reputation: 7122Reputation: 7122Reputation: 7122Reputation: 7122Reputation: 7122Reputation: 7122Reputation: 7122Reputation: 7122Reputation: 7122Reputation: 7122Reputation: 7122
Quote:
Originally Posted by dgplinux View Post
I am trying to build the libspatialite for Android.The source is from https://www.gaia-gis.it/fossil/libspatialite/index available through libspatialite-4.4.0-RC0.tar.gz.All dependencies like PROJ,GEOS,SQLite3 are installed successfully on linux.The build stops right after the command.
Because you probalby don't have the libsqlite3 development libraries installed. Run "rpm -qa | grep libsqlite3", or "yum install libsqlite3-devel".
 
Old 08-29-2016, 10:58 AM   #3
pan64
LQ Guru
 
Registered: Mar 2012
Location: Hungary
Distribution: debian/ubuntu/suse ...
Posts: 16,967

Rep: Reputation: 5721Reputation: 5721Reputation: 5721Reputation: 5721Reputation: 5721Reputation: 5721Reputation: 5721Reputation: 5721Reputation: 5721Reputation: 5721Reputation: 5721
do not configure/build as root
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
qupzilla-1.8.8 - many build errors debguy Linux - Software 1 12-03-2015 02:34 AM
Build errors with jdk1_5_0-src-scsl_2_1 on linux aparna216 Linux - Software 3 08-21-2006 11:21 PM
Build Errors. sethgeekx86 Slackware 3 04-01-2004 06:47 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 10:54 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration